using Photon.Pun;

public class PoisonEffectInstance : BaseDamageOverTimeEffectInstance
{
    public override DamageOverTimeType DamageType => DamageOverTimeType.Poison;

    [PunRPC]
    public void RPC_ApplyDamageOverTimeEffectPoison(int effectIndex)
    {
        ApplyEffect(StatusEffectIndexer.Instance.StatusEffects[effectIndex]);
    }
}